Page MenuHomePhabricator

AbuseFilter: Allow hiding private filters
Closed, ResolvedPublic

Description

I'd like to have an option to hide private Abuse Filters, just like there is an option to hide disabled filters.

Details

Related Gerrit Patches:
mediawiki/extensions/AbuseFilter : masterAdd an option to hide private filters on Special:AbuseFilter

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2017, 7:24 PM

Hi, is this different from T34959 ? If yes, how? :)

Nirmos added a subscriber: Nirmos.Apr 28 2017, 8:56 PM

I think that Luis150902 wants to be able to filter out (hide) private filters on Special:AbuseFilter, in which case, yes, it's different from T34959.

Change 431128 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Add an option to hide private filters on Special:AbuseFilter

https://gerrit.wikimedia.org/r/431128

Daimona claimed this task.May 5 2018, 8:02 PM
Username_Needed triaged this task as Medium priority.May 15 2018, 12:38 PM

Change 431128 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Add an option to hide private filters on Special:AbuseFilter

https://gerrit.wikimedia.org/r/431128

Daimona closed this task as Resolved.Jun 8 2018, 7:49 PM
Daimona removed a project: Patch-For-Review.